## php-stem 1.5.1-7+deb9

=== debian/changelog ===
php-stem (1.5.1-7+deb9) unstable; urgency=low

  * rename package to php-stem
  * make compatible with php 7.x

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 11:19:22 -0700

php5-stem (1.5.1-6) unstable; urgency=low

  * minor packaging updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 27 Jun 2018 13:05:41 -0400

php5-stem (1.5.1-5) unstable; urgency=low

  * hopefully final round of packaging refreshes

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 14 Sep 2014 16:18:01 -0400

php5-stem (1.5.1-4) unstable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 06 Sep 2014 22:29:41 -0400
