## php-stem 1.5.1-8+deb9

=== debian/changelog ===
php-stem (1.5.1-8+deb9) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 11:49:51 -0700

php-stem (1.5.1-7) unstable; urgency=low

  * rename package to php-stem
  * make compatible with php 7.x

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 11:19:22 -0700
