=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Source: php-stem
 Section: web
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Build-Depends: debhelper (>= 8.0.0), po-debconf, xsltproc    ,php-dev 
 Standards-Version: 3.8.4
 Homepage: http://pecl.php.net/package/stem
